package com.hungraim.ltc.governance.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvProgram;
import com.hungraim.ltc.pojo.vo.governance.ProgramSetListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface ChSrvProgramMapper extends BaseMapper<ChSrvProgram> {

    /**
     * 个人照护方案列表查询
     *
     * @param page        分页参数
     * @param disabInfoId 失能人员id
     * @param srvOrganId  服务机构id
     * @return 返回个人照护方案列表
     */
    Page<ProgramSetListVo> getProgramSetList(Page<ProgramSetListVo> page, @Param("disabInfoId") Long disabInfoId, @Param("srvOrganId") Long srvOrganId);
}