package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.governance.dao.ChSrvProgramMapper;
import com.hungraim.ltc.pojo.vo.governance.ProgramSetListVo;
import com.hungraim.ltc.pojo.vo.governance.SvrProgramListVo;
import com.hungraim.ltc.governance.dao.ChSrvSendMapper;
import com.hungraim.ltc.governance.service.SrvProgramService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class SrvProgramServiceImpl implements SrvProgramService {

    @Autowired
    private ChSrvSendMapper chSrvSendMapper;

    @Autowired
    private ChSrvProgramMapper chSrvProgramMapper;

    @Override
    public Page<SvrProgramListVo> getProgramList(Page<SvrProgramListVo> page, Long srvOrganId, String realName, String realTel, String programStatus) {
        return chSrvSendMapper.selectProgramList(page, srvOrganId, realName, realTel, programStatus);
    }

    @Override
    public Page<ProgramSetListVo> getProgramSetList(Page<ProgramSetListVo> page, Long disabInfoId, Long srvOrganId) {
        return chSrvProgramMapper.getProgramSetList(page, disabInfoId, srvOrganId);
    }
}
